POST Create a new Delta Token.
POST /organizations/{organizationId}/availability-records/delta-token
Operation ID: createNewDeltaToken. Security: AmOAuth2 (sfcc.inventory.availability.rw, sfcc_inventory_availability_rw).
Parameters
organizationId(path, OrganizationId, required) An identifier for the organization the request is being made byExample
f_ecom_zzxy_prd
Request body (required)
Media type: application/json. Schema: CreateNewDeltaTokenBody.
Example: CreateDeltaTokenGroups
{
"placeType": "GROUP",
"places": [
"UnitedStates"
]
}
Example: CreateDeltaTokenLocations
{
"placeType": "LOCATION",
"places": [
"warehouse5"
]
}
Responses
- 200
New Delta Token was created successfully.
Headers:
X-RateLimit-Limit(string) The maximum number of requests permitted per minute.X-RateLimit-Remaining(string) The number of requests remaining in the current rate limit window.X-RateLimit-Reset(string) The time at which the current rate limit window resets in UTC epoch seconds.
Media type:
application/json. Schema:CreateNewDeltaTokenResponse.Example: createNewDeltaToken200
{ "deltaToken": "e3NoYXJkSWQtMDAwMDAwMDE1NzczOTkxNTc2MDItYmE5MGYxNGE6MDAwMDAwMDAwMDAwMDAwMDAwNDQ0fQ==" } - 400
Invalid request.
Headers:
X-RateLimit-Limit(string) The maximum number of requests permitted per minute.X-RateLimit-Remaining(string) The number of requests remaining in the current rate limit window.X-RateLimit-Reset(string) The time at which the current rate limit window resets in UTC epoch seconds.
Media type:
application/problem+json. Schema:InventoryResponseErrorSchema.Example: createNewDeltaToken400
{ "type": "about:blank", "errorCode": "InvalidRequestParameter", "message": "places must be of type location or group", "parameterName": "places" } - 429
The user has sent too many requests in a given amount of time ("rate limiting")
Headers:
Retry-After(string)
Media type:
application/problem+json. Schema:object.title(string) A short, human-readable summary of the problem type. It will not change from occurrence to occurrence of the problem, except for purposes of localization.
Example:You do not have enough credit..type(string, required) A URI reference [RFC3986] that identifies the problem type. This specification encourages that, when dereferenced, it provide human-readable documentation for the problem type (e.g., using HTML [W3C.REC-html5-20141028]). When this member is not present, its value is assumed to be "about:blank". It accepts relative URIs; this means that they must be resolved relative to the document's base URI, as per [RFC3986], Section 5.
Example:https://example.com/probs/out-of-credit.detail(string) A human-readable explanation specific to this occurrence of the problem.
Example:Your current balance is 30, but that costs 50..instance(string) A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. It accepts relative URIs; this means that they must be resolved relative to the document's base URI, as per [RFC3986], Section 5.
Example:/account/12345/msgs/abc.
Example
{ "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/too-many-requests", "title": "Too Many Requests", "detail": "You have performed too many requests in a short period of time." }